> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Sessions

> Search issues for the organization with pagination



## OpenAPI

````yaml /openapi.documented.yml get /session/search
openapi: 3.1.0
info:
  title: Developer API
  description: Tembo Developer API
  version: 1.0.0
servers:
  - url: https://api.tembo.io/
    description: Tembo API
security: []
paths:
  /session/search:
    get:
      summary: Search Sessions
      description: Search issues for the organization with pagination
      operationId: getPublic-apiSessionSearch
      parameters:
        - name: q
          in: query
          description: Search query to find issues by title or description
          required: true
          schema:
            type: string
            minLength: 1
            example: authentication bug
        - name: limit
          in: query
          description: Number of items to return per page (max 100)
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            example: 10
        - name: page
          in: query
          description: Page number to retrieve (starts from 1)
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            example: 1
      responses:
        '200':
          description: Successfully retrieved search results with pagination
          content:
            application/json:
              schema:
                type: object
                properties:
                  issues:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        title:
                          type: string
                        description:
                          type: string
                        status:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        organizationId:
                          type: string
                          format: uuid
                        htmlUrl:
                          type: string
                          format: uri
                          description: >-
                            URL to view this session in the Tembo web
                            application
                          example: >-
                            https://app.tembo.io/sessions/123e4567-e89b-12d3-a456-426614174000
                      required:
                        - id
                        - title
                        - description
                        - status
                        - createdAt
                        - updatedAt
                        - organizationId
                        - htmlUrl
                  meta:
                    type: object
                    properties:
                      totalCount:
                        type: integer
                      totalPages:
                        type: integer
                      currentPage:
                        type: integer
                      pageSize:
                        type: integer
                      hasNext:
                        type: boolean
                      hasPrevious:
                        type: boolean
                    required:
                      - totalCount
                      - totalPages
                      - currentPage
                      - pageSize
                      - hasNext
                      - hasPrevious
                  query:
                    type: string
                required:
                  - issues
                  - meta
                  - query
        '400':
          description: Bad request - invalid search query or missing organization ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo({
              apiKey: 'My API Key',
            });


            const response = await client.session.search({ q: 'authentication
            bug' });


            console.log(response.issues);

````